import usb.core
import usb.util


"""
fonction qui se connecte a l'Adventech USB-4751 et met a X la broche nb
"""
def set_pin_value(nb, value):
    # Vendor ID et Product ID de l'Adventech USB-4751
    vendor_id = 0x180c
    product_id = 0x4751

    # Définition de la configuration USB et de l'interface
    configuration = 1
    interface = 0

    # Identifiant de l'endpoint
    endpoint_out = 0x02

    # Ouvre le périphérique USB-4751
    device = usb.core.find(idVendor=vendor_id, idProduct=product_id)
    if device is None:
        raise ValueError("Le périphérique USB-4751 n'a pas été trouvé.")

    # Active l'interface et la configuration
    usb.util.claim_interface(device, interface)
    device.set_configuration(configuration)

    # Envoie la commande pour mettre à X la broche nb
    command = bytes([0x0F, nb, value])
    device.write(endpoint_out, command)

    # Libère l'interface et la configuration
    usb.util.release_interface(device, interface)
    device.reset()
    
    
"""

"""

def activ(:
    si temps > prochainDem